function [result]=integrateFromMinusInfinity(f, x, NSteps)

    function r = transformedFunction( s )
        r = s.^(-2) .* f( x + 1 - 1./s );
    end

    result=integrateNumerically( @transformedFunction, 0, 1, NSteps );

end