function [ result ] = cumulativeNormal ( x )
% CUMULATIVENORMAL computes c.d.f of normal distribution
a = 0;
b = 1;
N = 1000;
h = (b - a )/ N ;
s = a + (1: N - 0.5) * h ;
fValues = s .^( -2) .* exp ( -(( x + 1 - 1./ s ).^2)/2 );
integral = h * sum ( fValues );
result = 1 / sqrt ( 2 * pi ) * integral ;
end
